> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Redemption Instructions

> Create redemption instructions for a given identity



## OpenAPI

````yaml /v2/openapi.yaml post /v2/issuance/redemption-instructions
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/issuance/redemption-instructions:
    post:
      tags:
        - Issuance
      summary: Create Redemption Instructions
      description: Create redemption instructions for a given identity
      operationId: bastion.api.v2.API.CreateRedemptionInstructions
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/bastion.api.v2.issuance.CreateRedemptionInstructionsRequest
        required: true
      responses:
        '201':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/bastion.api.v2.issuance.RedemptionInstructions
        '400':
          description: Bad request
        '409':
          description: Resource Conflicts
        '422':
          description: >-
            Unprocessable Entity - identity or account state does not permit
            this operation
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.api.v2.issuance.CreateRedemptionInstructionsRequest:
      type: object
      properties:
        request_id:
          type: string
          title: request_id
          pattern: >-
            [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
          format: uuid
          description: Request identifier in a UUID format. Serves as an idempotency key.
        bank_account_id:
          type: string
          title: bank_account_id
          description: Bank account ID to which the redeemed funds should be sent
        chain:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN
          title: chain
          description: Blockchain network for the redemption
        label:
          type: string
          title: label
          description: Label for the redemption instruction
        payment_rail:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD
          title: payment_rail
          description: Payment rail for the redemption, currently only 'WIRE' is supported
        identity_id:
          type: string
          title: identity_id
          description: >-
            Unique identifier of the identity that this redemption instruction
            belongs to
        stablecoin_symbol:
          type: string
          title: stablecoin_symbol
          description: Symbol of the stablecoin associated with this redemption instruction
      title: CreateRedemptionInstructionsRequest
      required:
        - request_id
        - bank_account_id
        - chain
        - label
        - payment_rail
        - identity_id
        - stablecoin_symbol
      additionalProperties: false
    bastion.api.v2.issuance.RedemptionInstructions:
      type: object
      properties:
        id:
          type: string
          title: id
          description: Unique identifier for the redemption instruction
          readOnly: true
        address:
          type: string
          title: address
          description: >-
            Generated redemption address. Stablecoins sent to this address will
            be redeemed.
          readOnly: true
        bank_account_id:
          type: string
          title: bank_account_id
          description: Bank account ID to which the redeemed funds should be sent
          readOnly: true
        chain:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN
          title: chain
          description: Blockchain network for the redemption instruction
          readOnly: true
        label:
          type: string
          title: label
          description: Label for the redemption instruction
          readOnly: true
        payment_rail:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD
          title: payment_rail
          description: >-
            Payment rail for the redemption instruction, currently only 'WIRE'
            is supported
          readOnly: true
        identity_id:
          type: string
          title: identity_id
          description: >-
            Unique identifier of the identity that this redemption instruction
            belongs to
          readOnly: true
        stablecoin_symbol:
          type: string
          title: stablecoin_symbol
          description: Symbol of the stablecoin associated with this redemption instruction
          readOnly: true
      title: RedemptionInstructions
      additionalProperties: false
    bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN:
      type: string
      title: ISSUANCE_SUPPORTED_CHAIN
      enum:
        - ISSUANCE_SUPPORTED_CHAIN_UNSPECIFIED
        - SOLANA_DEVNET
        - SOLANA_MAINNET
      example: SOLANA_DEVNET
    bastion.api.v2.issuance.ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD:
      type: string
      title: ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD
      enum:
        - ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD_UNSPECIFIED
        - WIRE
      description: Payment method for the fiat transaction
      example: WIRE
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [Redeem Bastion-issued stablecoins from the Dashboard](/guides/dashboard/redeem-bastion-stablecoin.md)
- [Issuance API overview](/v2/api-reference/issuance/overview.md)
- [Stablecoin issuance concepts](/guides/concepts/stablecoin-issuance.md)
- [Redeem Bastion-issued stablecoins to USD](/guides/quickstarts/redeem-bastion-issued-stablecoins.md)
- [List Redemption Instructions](/v2/api-reference/issuance/list-redemption-instructions.md)
